cURL
curl --request GET \
--url https://api.unifygtm.com/sequences/v1/sequences/{id}/steps/{step_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.unifygtm.com/sequences/v1/sequences/{id}/steps/{step_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.unifygtm.com/sequences/v1/sequences/{id}/steps/{step_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"sequence_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 2,
"dependencies": [
{
"parent_step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"condition": {
"type": "TIMER",
"duration_value": 123
}
}
],
"type": "AUTOMATIC_EMAIL",
"config": {
"is_root_message": true,
"subject": "<string>",
"fallback_subject": "<string>",
"body": "<string>",
"cc_recipients": [
"<string>"
],
"bcc_recipients": [
"<string>"
]
}
}{
"status": "bad_request",
"errors": [
{
"code": "<string>",
"path": [
"<string>"
],
"object_api_name": "<string>",
"attribute_api_name": "<string>"
}
],
"message": "<string>"
}{
"status": "unauthorized",
"message": "<string>"
}{
"status": "not_found",
"message": "<string>"
}{
"status": "rate_limited",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Sequences
Get sequence step
Retrieve a single step within a sequence.
GET
/
sequences
/
{id}
/
steps
/
{step_id}
cURL
Authorizations
Path Parameters
String UUID value.
String UUID value.
Response
Response returned when retrieving an automatic email sequence step.
- Option 1
- Option 2
- Option 3
Response returned when retrieving an automatic email sequence step.
String UUID value.
String value representing an RFC 3339 datetime.
String value representing an RFC 3339 datetime.
String UUID value.
Required range:
x >= 1Show child attributes
Show child attributes
Available options:
AUTOMATIC_EMAIL Configuration for automatic email sequence steps.
Show child attributes
Show child attributes
⌘I